text-show-3.7.5: Efficient conversion of values into Text

Copyright | (C) 2014-2017 Ryan Scott
License | BSD-style (see the file LICENSE)
Maintainer | Ryan Scott
Stability | Provisional
Portability | GHC
Safe Haskell | None
Language | Haskell2010

TextShow.Control.Exception

Contents

- Orphan instances

Description

`TextShow` instances for `Exception` data types.

Since: 2

# Orphan instances

TextShow PatternMatchFail Source # | Since: 2

Instance details

Methods

showbPrec :: Int -> PatternMatchFail -> Builder Source #

showb :: PatternMatchFail -> Builder Source #

showbList :: [PatternMatchFail] -> Builder Source #

showtPrec :: Int -> PatternMatchFail -> Text Source #

showt :: PatternMatchFail -> Text Source #

showtList :: [PatternMatchFail] -> Text Source #

showtlPrec :: Int -> PatternMatchFail -> Text Source #

showtl :: PatternMatchFail -> Text Source #

showtlList :: [PatternMatchFail] -> Text Source #

TextShow RecSelError Source # | Since: 2

Instance details

Methods

showbPrec :: Int -> RecSelError -> Builder Source #

showb :: RecSelError -> Builder Source #

showbList :: [RecSelError] -> Builder Source #

showtPrec :: Int -> RecSelError -> Text Source #

showt :: RecSelError -> Text Source #

showtList :: [RecSelError] -> Text Source #

showtlPrec :: Int -> RecSelError -> Text Source #

showtl :: RecSelError -> Text Source #

showtlList :: [RecSelError] -> Text Source #

TextShow RecConError Source # | Since: 2

Instance details

Methods

showbPrec :: Int -> RecConError -> Builder Source #

showb :: RecConError -> Builder Source #

showbList :: [RecConError] -> Builder Source #

showtPrec :: Int -> RecConError -> Text Source #

showt :: RecConError -> Text Source #

showtList :: [RecConError] -> Text Source #

showtlPrec :: Int -> RecConError -> Text Source #

showtl :: RecConError -> Text Source #

showtlList :: [RecConError] -> Text Source #

TextShow RecUpdError Source # | Since: 2

Instance details

Methods

showbPrec :: Int -> RecUpdError -> Builder Source #

showb :: RecUpdError -> Builder Source #

showbList :: [RecUpdError] -> Builder Source #

showtPrec :: Int -> RecUpdError -> Text Source #

showt :: RecUpdError -> Text Source #

showtList :: [RecUpdError] -> Text Source #

showtlPrec :: Int -> RecUpdError -> Text Source #

showtl :: RecUpdError -> Text Source #

showtlList :: [RecUpdError] -> Text Source #

TextShow NoMethodError Source # | Since: 2

Instance details

Methods

showbPrec :: Int -> NoMethodError -> Builder Source #

showb :: NoMethodError -> Builder Source #

showbList :: [NoMethodError] -> Builder Source #

showtPrec :: Int -> NoMethodError -> Text Source #

showt :: NoMethodError -> Text Source #

showtList :: [NoMethodError] -> Text Source #

showtlPrec :: Int -> NoMethodError -> Text Source #

showtl :: NoMethodError -> Text Source #

showtlList :: [NoMethodError] -> Text Source #

TextShow TypeError Source # | Only available with `base-4.9.0.0` or later. Since: 3

Instance details

Methods

showbPrec :: Int -> TypeError -> Builder Source #

showb :: TypeError -> Builder Source #

showbList :: [TypeError] -> Builder Source #

showtPrec :: Int -> TypeError -> Text Source #

showt :: TypeError -> Text Source #

showtList :: [TypeError] -> Text Source #

showtlPrec :: Int -> TypeError -> Text Source #

showtl :: TypeError -> Text Source #

showtlList :: [TypeError] -> Text Source #

TextShow NonTermination Source # | Since: 2

Instance details

Methods

showbPrec :: Int -> NonTermination -> Builder Source #

showb :: NonTermination -> Builder Source #

showbList :: [NonTermination] -> Builder Source #

showtPrec :: Int -> NonTermination -> Text Source #

showt :: NonTermination -> Text Source #

showtList :: [NonTermination] -> Text Source #

showtlPrec :: Int -> NonTermination -> Text Source #

showtl :: NonTermination -> Text Source #

showtlList :: [NonTermination] -> Text Source #

TextShow NestedAtomically Source # | Since: 2

Instance details

Methods

showbPrec :: Int -> NestedAtomically -> Builder Source #

showb :: NestedAtomically -> Builder Source #

showbList :: [NestedAtomically] -> Builder Source #

showtPrec :: Int -> NestedAtomically -> Text Source #

showt :: NestedAtomically -> Text Source #

showtList :: [NestedAtomically] -> Text Source #

showtlPrec :: Int -> NestedAtomically -> Text Source #

showtl :: NestedAtomically -> Text Source #

showtlList :: [NestedAtomically] -> Text Source #

TextShow BlockedIndefinitelyOnMVar Source # | Since: 2

Instance details

Methods

showbPrec :: Int -> BlockedIndefinitelyOnMVar -> Builder Source #

showb :: BlockedIndefinitelyOnMVar -> Builder Source #

showbList :: [BlockedIndefinitelyOnMVar] -> Builder Source #

showtPrec :: Int -> BlockedIndefinitelyOnMVar -> Text Source #

showt :: BlockedIndefinitelyOnMVar -> Text Source #

showtList :: [BlockedIndefinitelyOnMVar] -> Text Source #

showtlPrec :: Int -> BlockedIndefinitelyOnMVar -> Text Source #

showtl :: BlockedIndefinitelyOnMVar -> Text Source #

showtlList :: [BlockedIndefinitelyOnMVar] -> Text Source #

TextShow BlockedIndefinitelyOnSTM Source # | Since: 2

Instance details

Methods

showbPrec :: Int -> BlockedIndefinitelyOnSTM -> Builder Source #

showb :: BlockedIndefinitelyOnSTM -> Builder Source #

showbList :: [BlockedIndefinitelyOnSTM] -> Builder Source #

showtPrec :: Int -> BlockedIndefinitelyOnSTM -> Text Source #

showt :: BlockedIndefinitelyOnSTM -> Text Source #

showtList :: [BlockedIndefinitelyOnSTM] -> Text Source #

showtlPrec :: Int -> BlockedIndefinitelyOnSTM -> Text Source #

showtl :: BlockedIndefinitelyOnSTM -> Text Source #

showtlList :: [BlockedIndefinitelyOnSTM] -> Text Source #

TextShow Deadlock Source # | Since: 2

Instance details

Methods

showbPrec :: Int -> Deadlock -> Builder Source #

showb :: Deadlock -> Builder Source #

showbList :: [Deadlock] -> Builder Source #

showtPrec :: Int -> Deadlock -> Text Source #

showt :: Deadlock -> Text Source #

showtList :: [Deadlock] -> Text Source #

showtlPrec :: Int -> Deadlock -> Text Source #

showtl :: Deadlock -> Text Source #

showtlList :: [Deadlock] -> Text Source #

TextShow AllocationLimitExceeded Source # | Only available with `base-4.8.0.0` or later. Since: 2

Instance details

Methods

showbPrec :: Int -> AllocationLimitExceeded -> Builder Source #

showb :: AllocationLimitExceeded -> Builder Source #

showbList :: [AllocationLimitExceeded] -> Builder Source #

showtPrec :: Int -> AllocationLimitExceeded -> Text Source #

showt :: AllocationLimitExceeded -> Text Source #

showtList :: [AllocationLimitExceeded] -> Text Source #

showtlPrec :: Int -> AllocationLimitExceeded -> Text Source #

showtl :: AllocationLimitExceeded -> Text Source #

showtlList :: [AllocationLimitExceeded] -> Text Source #

TextShow CompactionFailed Source # | Only available with `base-4.10.0.0` or later. Since: 3.6

Instance details

Methods

showbPrec :: Int -> CompactionFailed -> Builder Source #

showb :: CompactionFailed -> Builder Source #

showbList :: [CompactionFailed] -> Builder Source #

showtPrec :: Int -> CompactionFailed -> Text Source #

showt :: CompactionFailed -> Text Source #

showtList :: [CompactionFailed] -> Text Source #

showtlPrec :: Int -> CompactionFailed -> Text Source #

showtl :: CompactionFailed -> Text Source #

showtlList :: [CompactionFailed] -> Text Source #

TextShow AssertionFailed Source # | Since: 2

Instance details

Methods

showbPrec :: Int -> AssertionFailed -> Builder Source #

showb :: AssertionFailed -> Builder Source #

showbList :: [AssertionFailed] -> Builder Source #

showtPrec :: Int -> AssertionFailed -> Text Source #

showt :: AssertionFailed -> Text Source #

showtList :: [AssertionFailed] -> Text Source #

showtlPrec :: Int -> AssertionFailed -> Text Source #

showtl :: AssertionFailed -> Text Source #

showtlList :: [AssertionFailed] -> Text Source #

TextShow SomeAsyncException Source # | Only available with `base-4.7.0.0` or later. Since: 2

Instance details

Methods

showbPrec :: Int -> SomeAsyncException -> Builder Source #

showb :: SomeAsyncException -> Builder Source #

showbList :: [SomeAsyncException] -> Builder Source #

showtPrec :: Int -> SomeAsyncException -> Text Source #

showt :: SomeAsyncException -> Text Source #

showtList :: [SomeAsyncException] -> Text Source #

showtlPrec :: Int -> SomeAsyncException -> Text Source #

showtl :: SomeAsyncException -> Text Source #

showtlList :: [SomeAsyncException] -> Text Source #

TextShow AsyncException Source # | Since: 2

Instance details

Methods

showbPrec :: Int -> AsyncException -> Builder Source #

showb :: AsyncException -> Builder Source #

showbList :: [AsyncException] -> Builder Source #

showtPrec :: Int -> AsyncException -> Text Source #

showt :: AsyncException -> Text Source #

showtList :: [AsyncException] -> Text Source #

showtlPrec :: Int -> AsyncException -> Text Source #

showtl :: AsyncException -> Text Source #

showtlList :: [AsyncException] -> Text Source #

TextShow ArrayException Source # | Since: 2

Instance details

Methods

showbPrec :: Int -> ArrayException -> Builder Source #

showb :: ArrayException -> Builder Source #

showbList :: [ArrayException] -> Builder Source #

showtPrec :: Int -> ArrayException -> Text Source #

showt :: ArrayException -> Text Source #

showtList :: [ArrayException] -> Text Source #

showtlPrec :: Int -> ArrayException -> Text Source #

showtl :: ArrayException -> Text Source #

showtlList :: [ArrayException] -> Text Source #

TextShow FixIOException Source # | Only available with `base-4.11.0.0` or later. Since: 3.7.3

Instance details

Methods

showbPrec :: Int -> FixIOException -> Builder Source #

showb :: FixIOException -> Builder Source #

showbList :: [FixIOException] -> Builder Source #

showtPrec :: Int -> FixIOException -> Text Source #

showt :: FixIOException -> Text Source #

showtList :: [FixIOException] -> Text Source #

showtlPrec :: Int -> FixIOException -> Text Source #

showtl :: FixIOException -> Text Source #

showtlList :: [FixIOException] -> Text Source #

TextShow MaskingState Source # | Since: 2

Instance details

Methods

showbPrec :: Int -> MaskingState -> Builder Source #

showb :: MaskingState -> Builder Source #

showbList :: [MaskingState] -> Builder Source #

showtPrec :: Int -> MaskingState -> Text Source #

showt :: MaskingState -> Text Source #

showtList :: [MaskingState] -> Text Source #

showtlPrec :: Int -> MaskingState -> Text Source #

showtl :: MaskingState -> Text Source #

showtlList :: [MaskingState] -> Text Source #

TextShow IOException Source # | Since: 2

Instance details

Methods

showbPrec :: Int -> IOException -> Builder Source #

showb :: IOException -> Builder Source #

showbList :: [IOException] -> Builder Source #

showtPrec :: Int -> IOException -> Text Source #

showt :: IOException -> Text Source #

showtList :: [IOException] -> Text Source #

showtlPrec :: Int -> IOException -> Text Source #

showtl :: IOException -> Text Source #

showtlList :: [IOException] -> Text Source #

TextShow ErrorCall Source # | Since: 2

Instance details

Methods

showbPrec :: Int -> ErrorCall -> Builder Source #

showb :: ErrorCall -> Builder Source #

showbList :: [ErrorCall] -> Builder Source #

showtPrec :: Int -> ErrorCall -> Text Source #

showt :: ErrorCall -> Text Source #

showtList :: [ErrorCall] -> Text Source #

showtlPrec :: Int -> ErrorCall -> Text Source #

showtl :: ErrorCall -> Text Source #

showtlList :: [ErrorCall] -> Text Source #

TextShow ArithException Source # | Since: 2

Instance details

Methods

showbPrec :: Int -> ArithException -> Builder Source #

showb :: ArithException -> Builder Source #

showbList :: [ArithException] -> Builder Source #

showtPrec :: Int -> ArithException -> Text Source #

showt :: ArithException -> Text Source #

showtList :: [ArithException] -> Text Source #

showtlPrec :: Int -> ArithException -> Text Source #

showtl :: ArithException -> Text Source #

showtlList :: [ArithException] -> Text Source #

TextShow SomeException Source # | Since: 2

Instance details

Methods

showbPrec :: Int -> SomeException -> Builder Source #

showb :: SomeException -> Builder Source #

showbList :: [SomeException] -> Builder Source #

showtPrec :: Int -> SomeException -> Text Source #

showt :: SomeException -> Text Source #

showtList :: [SomeException] -> Text Source #

showtlPrec :: Int -> SomeException -> Text Source #

showtl :: SomeException -> Text Source #

showtlList :: [SomeException] -> Text Source #